summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
Diffstat (limited to 'abs')
-rwxr-xr-xabs/core-testing/mythtv/trunk/mythtv-themes/PKGBUILD36
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mytharchive/PKGBUILD41
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythbrowser/PKGBUILD35
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythcontrols/PKGBUILD35
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythflix/PKGBUILD34
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythgallery/PKGBUILD36
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythgame/PKGBUILD36
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythmovietime/PKGBUILD36
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythmusic/PKGBUILD41
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythmusic/music_flac.patch293
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythnews/PKGBUILD34
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythphone/PKGBUILD42
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythvideo/PKGBUILD36
-rw-r--r--abs/core-testing/mythtv/trunk/plugins/mythweather/PKGBUILD35
-rwxr-xr-xabs/core-testing/mythtv/trunk/plugins/mythweb/PKGBUILD35
-rwxr-xr-xabs/core-testing/mythtv/trunk/plugins/mythweb/dblogininit.inc6
-rwxr-xr-xabs/core-testing/mythtv/trunk/plugins/mythweb/mythweb.install37
-rwxr-xr-xabs/core-testing/mythtv/trunk/plugins/mythweb/mythweblighttpd.patch13
-rwxr-xr-xabs/core-testing/mythtv/trunk/plugins/mythweb/xris/dblogininit.inc6
-rwxr-xr-xabs/core-testing/mythtv/trunk/plugins/mythweb/xris/lighttpd.conf332
-rwxr-xr-xabs/core-testing/mythtv/trunk/plugins/mythweb/xris/mythweblighttpd.patch16
21 files changed, 1215 insertions, 0 deletions
diff --git a/abs/core-testing/mythtv/trunk/mythtv-themes/PKGBUILD b/abs/core-testing/mythtv/trunk/mythtv-themes/PKGBUILD
new file mode 100755
index 0000000..8cd0d04
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/mythtv-themes/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythv-themes-svn
+pkgver=15924
+pkgrel=4
+pkgdesc="themes for mythtv"
+url="http://www.mythtv.org"
+license="GPL"
+depends=( )
+#makedepends=('sqlite3' 'sed')
+conflicts=()
+replaces=()
+backup=()
+#install='mythtv.install'
+source=()
+arch=('i686')
+md5sums=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/myththemes
+_svnmod=myththemes
+
+build() {
+echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+#svn co http://cvs.mythtv.org/svn/trunk/mythtv
+#svn co http://cvs.mythtv.org/svn/trunk/mythplugins
+#svn co http://cvs.mythtv.org/svn/trunk/myththemes
+cd $startdir/src/myththemes
+ make distclean
+ ./configure
+ #./configure --disable-all --enable-mythweather --enable-fftw --disable-aac
+ make || return 1
+ make INSTALL_ROOT=$startdir/pkg install
+# cd $startdir/src/$pkgname
+# cd mythmovietime
+# make || return 1
+# make INSTALL_ROOT=$startdir/pkg install
+
+}
diff --git a/abs/core-testing/mythtv/trunk/plugins/mytharchive/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mytharchive/PKGBUILD
new file mode 100644
index 0000000..4d3e179
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mytharchive/PKGBUILD
@@ -0,0 +1,41 @@
+pkgname=mytharchive-svn
+pkgver=16153
+pkgrel=3
+pkgdesc="MythTV plugin that lets you create DVDs from or archive your recorded shows."
+arch=('i686')
+url="http://www.mythtv.org"
+license=('GPL')
+depends=('mythtv-svn' 'libxmu' 'mysql-python' 'pil' 'dvdauthor')
+source=()
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ PLUGIN=mytharchive
+ cd $startdir/src/
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+
+ PLUGIN=mytharchive
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ msg "Correcting configure kde3 to kde"
+ sed -i 's#kde3#kde#' configure || return 1
+ make distclean
+ ./configure --enable-opengl --disable-all --enable-create-archive --enable-create-dvd --enable-mytharchive || return 1
+ qmake mythplugins.pro || return 1
+ make qmake || return 1
+ msg "Correcting Makefile kde3 to kde"
+ sed -i 's#kde3#kde#' ./mytharchive/mytharchive/Makefile || return 1
+ make -j 2 || return 1
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
+
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythbrowser/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythbrowser/PKGBUILD
new file mode 100644
index 0000000..4c57cf0
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythbrowser/PKGBUILD
@@ -0,0 +1,35 @@
+
+pkgname=mythbrowser-svn
+pkgver=16153
+pkgrel=2
+pkgdesc="Mini web browser for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn' 'wget' 'libxvmc' 'kdelibs')
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ pwd
+ PLUGIN=mythbrowser
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --enable-opengl --disable-all --enable-mythbrowser || return 1
+ # sed -i 's#kde3#kde#' ./mythbrowser/mythbrowser/Makefile || return 1
+ make || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythcontrols/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythcontrols/PKGBUILD
new file mode 100644
index 0000000..f4d6da6
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythcontrols/PKGBUILD
@@ -0,0 +1,35 @@
+pkgname=mythcontrols-svn
+pkgver=16153
+pkgrel=5
+pkgdesc="Experimental controls for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv'-svn)
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+PLUGIN=mythcontrols
+grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+if [ $? != 0 ]
+then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --disable-all --enable-opengl --enable-mythcontrols
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythflix/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythflix/PKGBUILD
new file mode 100644
index 0000000..9e8c92e
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythflix/PKGBUILD
@@ -0,0 +1,34 @@
+pkgname=mythflix-svn
+pkgver=16153
+pkgrel=2
+pkgdesc="Netflix access plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn')
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ PLUGIN=mythflix
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --disable-all --enable-opengl --enable-mythflix
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythgallery/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythgallery/PKGBUILD
new file mode 100644
index 0000000..52fb732
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythgallery/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythgallery-svn
+pkgver=16153
+pkgrel=3
+pkgdesc="Image gallery plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn' 'libexif' 'libtiff')
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ export QMAKESPEC='linux-g++'
+ PLUGIN=mythgallery
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --disable-all --enable-opengl --enable-mythgallery --enable-exif
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythgame/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythgame/PKGBUILD
new file mode 100644
index 0000000..8c4257f
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythgame/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythgame-svn
+pkgver=16153
+pkgrel=4
+pkgdesc="Emulation plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn' 'zlib')
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+PLUGIN=mythgame
+grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+if [ $? != 0 ]
+then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ export QMAKESPEC='linux-g++'
+ make distclean
+ ./configure --disable-all --enable-opengl --enable-mythgame
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythmovietime/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythmovietime/PKGBUILD
new file mode 100644
index 0000000..f83cdbf
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythmovietime/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythmovietime-svn
+pkgver=16153
+pkgrel=6
+pkgdesc="Emulation plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn' 'zlib')
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+PLUGIN=mythmovietime
+grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+if [ $? != 0 ]
+then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ export QMAKESPEC='linux-g++'
+ make distclean
+ ./configure --disable-all --enable-mythmovies
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythmusic/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythmusic/PKGBUILD
new file mode 100644
index 0000000..28cbe82
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythmusic/PKGBUILD
@@ -0,0 +1,41 @@
+
+
+pkgname=mythmusic-svn
+pkgver=16153
+pkgrel=9
+pkgdesc="Music playing plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686' 'x86_64')
+#depends=('mythtv-svn' 'libid3tag' 'libmad' 'libvorbis' 'flac>=1.1.4' 'libcdaudio' \
+# 'cdparanoia' 'fftw2' 'sdl' 'faad2' 'lame' )
+
+ depends=('mythtv-svn ' 'libid3tag' 'flac>=1.1.4 ' 'a52dec' 'libcdaudio' 'libcddb' 'libdvdread' 'libid3tag' 'libmad' 'libogg' 'libtheora' 'libvorbis' 'taglib' 'libvisual' 'cdparanoia' 'sdl' 'faad2' 'lame' 'fftw2double')
+
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ make distclean
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+PLUGIN=mythmusic
+grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+if [ $? != 0 ]
+then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+
+# ./configure --disable-all --enable-mythmusic
+
+ make || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythmusic/music_flac.patch b/abs/core-testing/mythtv/trunk/plugins/mythmusic/music_flac.patch
new file mode 100644
index 0000000..b152249
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythmusic/music_flac.patch
@@ -0,0 +1,293 @@
+--- flacdecoder.cpp.old 2007-03-11 18:14:37.000000000 -0400
++++ flacdecoder.cpp 2007-03-11 18:15:34.000000000 -0400
+@@ -17,7 +17,7 @@
+
+ #include <qtimer.h>
+
+-static FLAC__SeekableStreamDecoderReadStatus flacread(const FLAC__SeekableStreamDecoder *decoder, FLAC__byte bufferp[], unsigned *bytes, void *client_data)
++static FLAC__StreamDecoderReadStatus flacread(const FLAC__StreamDecoder *decoder, FLAC__byte bufferp[], unsigned *bytes, void *client_data)
+ {
+ decoder = decoder;
+
+@@ -26,27 +26,27 @@
+
+ if (len == -1)
+ {
+- return FLAC__SEEKABLE_STREAM_DECODER_READ_STATUS_ERROR;
++ return FLAC__STREAM_DECODER_READ_STATUS_END_OF_STREAM;
+ }
+
+ *bytes = len;
+- return FLAC__SEEKABLE_STREAM_DECODER_READ_STATUS_OK;
++ return FLAC__STREAM_DECODER_READ_STATUS_CONTINUE;
+ }
+
+-static FLAC__SeekableStreamDecoderSeekStatus flacseek(const FLAC__SeekableStreamDecoder *decoder, FLAC__uint64 absolute_byte_offset, void *client_data)
++static FLAC__StreamDecoderSeekStatus flacseek(const FLAC__StreamDecoder *decoder, FLAC__uint64 absolute_byte_offset, void *client_data)
+ {
+ decoder = decoder;
+ FlacDecoder *dflac = (FlacDecoder *)client_data;
+
+ if (!dflac->input()->isDirectAccess())
+- return FLAC__SEEKABLE_STREAM_DECODER_SEEK_STATUS_ERROR;
++ return FLAC__STREAM_DECODER_SEEK_STATUS_ERROR;
+
+ if (dflac->input()->at(absolute_byte_offset))
+- return FLAC__SEEKABLE_STREAM_DECODER_SEEK_STATUS_OK;
+- return FLAC__SEEKABLE_STREAM_DECODER_SEEK_STATUS_ERROR;
++ return FLAC__STREAM_DECODER_SEEK_STATUS_OK;
++ return FLAC__STREAM_DECODER_SEEK_STATUS_ERROR;
+ }
+
+-static FLAC__SeekableStreamDecoderTellStatus flactell(const FLAC__SeekableStreamDecoder *decoder, FLAC__uint64 *absolute_byte_offset, void *client_data)
++static FLAC__StreamDecoderTellStatus flactell(const FLAC__StreamDecoder *decoder, FLAC__uint64 *absolute_byte_offset, void *client_data)
+ {
+ decoder = decoder;
+ FlacDecoder *dflac = (FlacDecoder *)client_data;
+@@ -54,20 +54,20 @@
+ long t = dflac->input()->at();
+ *absolute_byte_offset = t;
+
+- return FLAC__SEEKABLE_STREAM_DECODER_TELL_STATUS_OK;
++ return FLAC__STREAM_DECODER_TELL_STATUS_OK;
+ }
+
+-static FLAC__SeekableStreamDecoderLengthStatus flaclength(const FLAC__SeekableStreamDecoder *decoder, FLAC__uint64 *stream_length, void *client_data)
++static FLAC__StreamDecoderLengthStatus flaclength(const FLAC__StreamDecoder *decoder, FLAC__uint64 *stream_length, void *client_data)
+ {
+ decoder = decoder;
+
+ FlacDecoder *dflac = (FlacDecoder *)client_data;
+
+ *stream_length = dflac->input()->size();
+- return FLAC__SEEKABLE_STREAM_DECODER_LENGTH_STATUS_OK;
++ return FLAC__STREAM_DECODER_LENGTH_STATUS_OK;
+ }
+
+-static FLAC__bool flaceof(const FLAC__SeekableStreamDecoder *decoder, void *client_data)
++static FLAC__bool flaceof(const FLAC__StreamDecoder *decoder, void *client_data)
+ {
+ decoder = decoder;
+
+@@ -76,7 +76,7 @@
+ return dflac->input()->atEnd();
+ }
+
+-static FLAC__StreamDecoderWriteStatus flacwrite(const FLAC__SeekableStreamDecoder *decoder, const FLAC__Frame *frame, const FLAC__int32 * const buffer[], void *client_data)
++static FLAC__StreamDecoderWriteStatus flacwrite(const FLAC__StreamDecoder *decoder, const FLAC__Frame *frame, const FLAC__int32 * const buffer[], void *client_data)
+ {
+ decoder = decoder;
+
+@@ -132,7 +132,7 @@
+ }
+ }
+
+-static void flacmetadata(const FLAC__SeekableStreamDecoder *decoder, const FLAC__StreamMetadata *metadata, void *client_data)
++static void flacmetadata(const FLAC__StreamDecoder *decoder, const FLAC__StreamMetadata *metadata, void *client_data)
+ {
+ decoder = decoder;
+
+@@ -156,11 +156,11 @@
+ }
+ }
+
+-static void flacerror(const FLAC__SeekableStreamDecoder *decoder, FLAC__StreamDecoderErrorStatus status, void *client_data)
++static void flacerror(const FLAC__StreamDecoder *decoder, FLAC__StreamDecoderErrorStatus status, void *client_data)
+ {
+ decoder = decoder;
+
+- FLAC__FileDecoder *file_decoder = (FLAC__FileDecoder *)client_data;
++ FLAC__StreamDecoder *file_decoder = (FLAC__StreamDecoder *)client_data;
+
+ file_decoder = file_decoder;
+ status = status;
+@@ -262,17 +262,8 @@
+ }
+ }
+
+- decoder = FLAC__seekable_stream_decoder_new();
+- FLAC__seekable_stream_decoder_set_md5_checking(decoder, false);
+- FLAC__seekable_stream_decoder_set_read_callback(decoder, flacread);
+- FLAC__seekable_stream_decoder_set_seek_callback(decoder, flacseek);
+- FLAC__seekable_stream_decoder_set_tell_callback(decoder, flactell);
+- FLAC__seekable_stream_decoder_set_length_callback(decoder, flaclength);
+- FLAC__seekable_stream_decoder_set_eof_callback(decoder, flaceof);
+- FLAC__seekable_stream_decoder_set_write_callback(decoder, flacwrite);
+- FLAC__seekable_stream_decoder_set_metadata_callback(decoder, flacmetadata);
+- FLAC__seekable_stream_decoder_set_error_callback(decoder, flacerror);
+- FLAC__seekable_stream_decoder_set_client_data(decoder, this);
++ decoder = FLAC__stream_decoder_new();
++ FLAC__stream_decoder_set_md5_checking(decoder, false);
+
+ freq = 0;
+ bitrate = 0;
+@@ -281,8 +272,17 @@
+ totalTime = 0;
+ totalTime = totalTime < 0 ? 0 : totalTime;
+
+- FLAC__seekable_stream_decoder_init(decoder);
+- FLAC__seekable_stream_decoder_process_until_end_of_metadata(decoder);
++ FLAC__stream_decoder_init_stream(decoder,
++ flacread,
++ flacseek,
++ flactell,
++ flaclength,
++ flaceof,
++ flacwrite,
++ flacmetadata,
++ flacerror,
++ this);
++ FLAC__stream_decoder_process_until_end_of_metadata(decoder);
+
+ inited = TRUE;
+ return TRUE;
+@@ -295,8 +295,8 @@
+
+ void FlacDecoder::deinit()
+ {
+- FLAC__seekable_stream_decoder_finish(decoder);
+- FLAC__seekable_stream_decoder_delete(decoder);
++ FLAC__stream_decoder_finish(decoder);
++ FLAC__stream_decoder_delete(decoder);
+
+ if (input()->isOpen())
+ input()->close();
+@@ -330,7 +330,7 @@
+ }
+
+ bool flacok = true;
+- FLAC__SeekableStreamDecoderState decoderstate;
++ FLAC__StreamDecoderState decoderstate;
+
+ while (! done && ! finish) {
+ lock();
+@@ -340,12 +340,12 @@
+ FLAC__uint64 sample = (FLAC__uint64)(seekTime * 44100.0);
+ if (sample > totalsamples - 50)
+ sample = totalsamples - 50;
+- FLAC__seekable_stream_decoder_seek_absolute(decoder, sample);
++ FLAC__stream_decoder_seek_absolute(decoder, sample);
+ seekTime = -1.0;
+ }
+
+- flacok = FLAC__seekable_stream_decoder_process_single(decoder);
+- decoderstate = FLAC__seekable_stream_decoder_get_state(decoder);
++ flacok = FLAC__stream_decoder_process_single(decoder);
++ decoderstate = FLAC__stream_decoder_get_state(decoder);
+
+ if (decoderstate == 0 || decoderstate == 1)
+ {
+--- flacdecoder.h.old 2007-03-11 18:14:37.000000000 -0400
++++ flacdecoder.h 2007-03-11 18:14:12.000000000 -0400
+@@ -35,7 +35,7 @@
+ char *output_buf;
+ ulong output_bytes, output_at;
+
+- FLAC__SeekableStreamDecoder *decoder;
++ FLAC__StreamDecoder *decoder;
+
+ unsigned int bks;
+ bool done, finish;
+--- flacencoder.cpp.old 2007-03-11 18:14:37.000000000 -0400
++++ flacencoder.cpp 2007-03-11 18:14:12.000000000 -0400
+@@ -9,7 +9,7 @@
+ #include "flacencoder.h"
+ #include "metaioflacvorbiscomment.h"
+
+-#include <FLAC/file_encoder.h>
++#include <FLAC/stream_encoder.h>
+ #include <FLAC/assert.h>
+ #include <mythtv/mythcontext.h>
+
+@@ -29,32 +29,32 @@
+ int rice_parameter_search_dist = 0;
+ int max_lpc_order = 8;
+
+- encoder = FLAC__file_encoder_new();
++ encoder = FLAC__stream_encoder_new();
+
+- FLAC__file_encoder_set_streamable_subset(encoder, true);
+- FLAC__file_encoder_set_do_mid_side_stereo(encoder, do_mid_side);
+- FLAC__file_encoder_set_loose_mid_side_stereo(encoder, loose_mid_side);
+- FLAC__file_encoder_set_channels(encoder, NUM_CHANNELS);
+- FLAC__file_encoder_set_bits_per_sample(encoder, 16);
+- FLAC__file_encoder_set_sample_rate(encoder, 44100);
+- FLAC__file_encoder_set_blocksize(encoder, blocksize);
+- FLAC__file_encoder_set_max_lpc_order(encoder, max_lpc_order);
+- FLAC__file_encoder_set_qlp_coeff_precision(encoder, qlp_coeff_precision);
+- FLAC__file_encoder_set_do_qlp_coeff_prec_search(encoder, false);
+- FLAC__file_encoder_set_do_escape_coding(encoder, do_escape_coding);
+- FLAC__file_encoder_set_do_exhaustive_model_search(encoder,
++ FLAC__stream_encoder_set_streamable_subset(encoder, true);
++ FLAC__stream_encoder_set_do_mid_side_stereo(encoder, do_mid_side);
++ FLAC__stream_encoder_set_loose_mid_side_stereo(encoder, loose_mid_side);
++ FLAC__stream_encoder_set_channels(encoder, NUM_CHANNELS);
++ FLAC__stream_encoder_set_bits_per_sample(encoder, 16);
++ FLAC__stream_encoder_set_sample_rate(encoder, 44100);
++ FLAC__stream_encoder_set_blocksize(encoder, blocksize);
++ FLAC__stream_encoder_set_max_lpc_order(encoder, max_lpc_order);
++ FLAC__stream_encoder_set_qlp_coeff_precision(encoder, qlp_coeff_precision);
++ FLAC__stream_encoder_set_do_qlp_coeff_prec_search(encoder, false);
++ FLAC__stream_encoder_set_do_escape_coding(encoder, do_escape_coding);
++ FLAC__stream_encoder_set_do_exhaustive_model_search(encoder,
+ do_exhaustive_model_search);
+- FLAC__file_encoder_set_min_residual_partition_order(encoder,
++ FLAC__stream_encoder_set_min_residual_partition_order(encoder,
+ min_residual_partition_order);
+- FLAC__file_encoder_set_max_residual_partition_order(encoder,
++ FLAC__stream_encoder_set_max_residual_partition_order(encoder,
+ max_residual_partition_order);
+- FLAC__file_encoder_set_rice_parameter_search_dist(encoder,
++ FLAC__stream_encoder_set_rice_parameter_search_dist(encoder,
+ rice_parameter_search_dist);
+
+- FLAC__file_encoder_set_filename(encoder, outfile.local8Bit());
++
+
+- int ret = FLAC__file_encoder_init(encoder);
+- if (ret != FLAC__FILE_ENCODER_OK)
++ int ret = FLAC__stream_encoder_init_file(encoder, outfile.local8Bit(), NULL, NULL);
++ if (ret != FLAC__STREAM_ENCODER_OK)
+ {
+ VERBOSE(VB_GENERAL, QString("Error initializing FLAC encoder."
+ " Got return code: %1").arg(ret));
+@@ -70,8 +70,8 @@
+
+ if (encoder)
+ {
+- FLAC__file_encoder_finish(encoder);
+- FLAC__file_encoder_delete(encoder);
++ FLAC__stream_encoder_finish(encoder);
++ FLAC__stream_encoder_delete(encoder);
+ }
+
+ if (metadata)
+@@ -102,7 +102,7 @@
+
+ if(sampleindex == MAX_SAMPLES || (length == 0 && sampleindex > 0) )
+ {
+- if (!FLAC__file_encoder_process(encoder,
++ if (!FLAC__stream_encoder_process(encoder,
+ (const FLAC__int32 * const *) input,
+ sampleindex))
+ {
+--- flacencoder.h.old 2007-03-11 18:14:37.000000000 -0400
++++ flacencoder.h 2007-03-11 18:14:12.000000000 -0400
+@@ -4,7 +4,7 @@
+ #include <qstring.h>
+
+ #define HAVE_INTTYPES_H
+-#include <FLAC/file_encoder.h>
++#include <FLAC/stream_encoder.h>
+
+ #include "encoder.h"
+
+@@ -21,7 +21,7 @@
+ int addSamples(int16_t *bytes, unsigned int len);
+
+ private:
+- FLAC__FileEncoder *encoder;
++ FLAC__StreamEncoder *encoder;
+ unsigned int sampleindex;
+ FLAC__int32 inputin[NUM_CHANNELS][MAX_SAMPLES];
+ FLAC__int32 *input[NUM_CHANNELS];
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythnews/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythnews/PKGBUILD
new file mode 100644
index 0000000..4dafc20
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythnews/PKGBUILD
@@ -0,0 +1,34 @@
+pkgname=mythnews-svn
+pkgver=16153
+pkgrel=4
+pkgdesc="News checking plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn')
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ PLUGIN=mythnews
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ make distclean
+ ./configure --disable-all --enable-mythnews
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db')
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythphone/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythphone/PKGBUILD
new file mode 100644
index 0000000..f6bf3ec
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythphone/PKGBUILD
@@ -0,0 +1,42 @@
+pkgname=mythphone-svn
+pkgver=16153
+pkgrel=3
+pkgdesc="Plugin that allows phone calls to be made to MythTv"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn')
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ make distclean
+ PLUGIN=mythphone
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+
+ msg "Correcting configure kde3 to kde"
+ sed -i 's#kde3#kde#' configure || return 1
+ ./configure --enable-opengl --disable-all --enable-mythphone || return 1
+ qmake mythplugins.pro || return 1
+ make qmake || return 1
+
+ msg "Correcting Makefile kde3 to kde"
+ sed -i 's#kde3#kde#' ./mythphone/mythphone/Makefile || return 1
+
+ make -j 2 || return 1
+ make INSTALL_ROOT=$startdir/pkg install
+}
+
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythvideo/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythvideo/PKGBUILD
new file mode 100644
index 0000000..4087034
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythvideo/PKGBUILD
@@ -0,0 +1,36 @@
+pkgname=mythvideo-svn
+pkgver=16153
+pkgrel=2
+pkgdesc="Video playback and browsing plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn' 'perlxml' 'perl-libwww' 'perl-uri' 'perl-xml-simple' 'ffmpeg')
+license="GPL"
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ make distclean
+ PLUGIN=mythvideo
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ ./configure --disable-all --enable-mythvideo --enable-transcode
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db')
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythweather/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythweather/PKGBUILD
new file mode 100644
index 0000000..98542b9
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythweather/PKGBUILD
@@ -0,0 +1,35 @@
+pkgname=mythweather-svn
+pkgver=16153
+pkgrel=6
+pkgdesc="Weather checking plugin for MythTV"
+url="http://www.mythtv.org"
+arch=('i686')
+depends=('mythtv-svn' 'wget' 'perl-xml-sax' 'perl-soap-lite' 'perl-image-size' 'imagemagick')
+conflicts=('mythtv-plugins-svn')
+groups=('mythtv-all-plugins-svn')
+license="GPL"
+source=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+
+build() {
+ cd $startdir/src/
+ echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ cd $startdir/src/mythplugins
+ make distclean
+ PLUGIN=mythweather
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ ./configure --enable-opengl --disable-all --enable-mythweather
+
+ make -j 2 || return 1
+
+ make INSTALL_ROOT=$startdir/pkg install
+}
+md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db')
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythweb/PKGBUILD b/abs/core-testing/mythtv/trunk/plugins/mythweb/PKGBUILD
new file mode 100755
index 0000000..52eb059
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythweb/PKGBUILD
@@ -0,0 +1,35 @@
+pkgname=mythweb-svn
+pkgver=16153
+pkgrel=20
+pkgdesc="mythweb"
+url="http://www.mythtv.org"
+license="GPL"
+arch=('i686')
+depends=(php fcgi libmysqlclient )
+conflicts=('mythweb' 'mythweb-fixes')
+replaces=()
+backup=()
+install='mythweb.install'
+source=(mythweblighttpd.patch dblogininit.inc )
+md5sums=()
+_svntrunk=http://cvs.mythtv.org/svn/trunk/mythplugins
+_svnmod=mythplugins
+
+build() {
+echo svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+#svn co http://cvs.mythtv.org/svn/trunk/mythtv
+#svn co http://cvs.mythtv.org/svn/trunk/mythplugins
+#svn co http://cvs.mythtv.org/svn/trunk/myththemes
+cd $startdir/src/mythplugins
+
+#take care of fing mythweb
+mkdir -p $startdir/pkg/data/srv/httpd/htdocs/
+cp -rp mythweb $startdir/pkg/data/srv/httpd/htdocs/
+cp -f $startdir/src/dblogininit.inc $startdir/pkg/data/srv/httpd/htdocs/mythweb/includes/
+cd $startdir/pkg/data/srv/httpd/htdocs/mythweb/includes
+patch -p0 < $startdir/src/mythweblighttpd.patch
+
+chown -R nobody:nobody $startdir/pkg/data/srv/httpd/htdocs/mythweb
+chmod -R 775 $startdir/pkg/data/srv/httpd/htdocs/mythweb
+}
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythweb/dblogininit.inc b/abs/core-testing/mythtv/trunk/plugins/mythweb/dblogininit.inc
new file mode 100755
index 0000000..c5395c5
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythweb/dblogininit.inc
@@ -0,0 +1,6 @@
+<?
+ $_SERVER["db_server"] = "localhost";
+ $_SERVER["db_name"] = "mythconverg";
+ $_SERVER["db_login"] = "mythtv";
+ $_SERVER["db_password"] = "mythtv";
+?>
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythweb/mythweb.install b/abs/core-testing/mythtv/trunk/plugins/mythweb/mythweb.install
new file mode 100755
index 0000000..9162d98
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythweb/mythweb.install
@@ -0,0 +1,37 @@
+
+# arg 1: the new package version
+pre_install () {
+/bin/true
+}
+
+post_install() {
+ cp /etc/lighttpd/lighttpd.conf /tmp
+ sed -e "s/# .* \"mod_fastcgi\",/\"mod_fastcgi\"\,/g" /tmp/lighttpd.conf > /etc/lighttpd/lighttpd.conf
+
+
+}
+pre_upgrade () {
+ pre_install
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install
+
+ /bin/true
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+/bint/true
+}
+
+op=$1
+shift
+$op $*
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythweb/mythweblighttpd.patch b/abs/core-testing/mythtv/trunk/plugins/mythweb/mythweblighttpd.patch
new file mode 100755
index 0000000..6403a88
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythweb/mythweblighttpd.patch
@@ -0,0 +1,13 @@
+--- database.php.orig 2007-12-31 21:25:30.000000000 +0000
++++ database.php 2007-12-31 21:25:50.000000000 +0000
+@@ -18,6 +18,10 @@
+ custom_error("Please install the MySQL libraries for PHP.\n"
+ .'The package is usually called something like php-mysql.');
+ }
++ if (empty($_SERVER['db_server']) || empty($_SERVER['db_name']) || empty($_SERVER['db_login'])) {
++ require_once 'dblogininit.inc';
++ }
++
+
+ // No database connection info defined?
+ if (empty($_SERVER['db_server']) || empty($_SERVER['db_name']) || empty($_SERVER['db_login'])) {
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/dblogininit.inc b/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/dblogininit.inc
new file mode 100755
index 0000000..c5395c5
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/dblogininit.inc
@@ -0,0 +1,6 @@
+<?
+ $_SERVER["db_server"] = "localhost";
+ $_SERVER["db_name"] = "mythconverg";
+ $_SERVER["db_login"] = "mythtv";
+ $_SERVER["db_password"] = "mythtv";
+?>
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/lighttpd.conf b/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/lighttpd.conf
new file mode 100755
index 0000000..ff4e7dd
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/lighttpd.conf
@@ -0,0 +1,332 @@
+# lighttpd configuration file
+
+############ Options you really have to take care of ####################
+
+## modules to load
+# at least mod_access and mod_accesslog should be loaded
+# all other module should only be loaded if really neccesary
+# - saves some time
+# - saves memory
+server.modules = (
+ "mod_rewrite",
+# "mod_redirect",
+# "mod_alias",
+ "mod_access",
+# "mod_cml",
+# "mod_trigger_b4_dl",
+# "mod_auth",
+ "mod_status",
+ "mod_setenv",
+#fast_cgi needs to be enabled for mythweb, as all mythweb requests are passed to php-cgi.
+ "mod_fastcgi",
+# "mod_proxy",
+# "mod_simple_vhost",
+# "mod_evhost",
+# "mod_userdir",
+ "mod_cgi",
+# "mod_compress",
+# "mod_ssi",
+# "mod_usertrack",
+# "mod_expire",
+# "mod_secdownload",
+# "mod_rrdtool",
+ "mod_accesslog" )
+
+## a static document-root, for virtual-hosting take look at the
+## server.virtual-* options
+server.document-root = "/data/srv/httpd/htdocs"
+
+## where to send error-messages to
+server.errorlog = "/var/log/lighttpd/error.log"
+
+# files to check for if .../ is requested
+index-file.names = ( "index.php", "index.html",
+ "index.htm", "default.htm","mythweb.php")
+
+# mimetype mapping
+mimetype.assign = (
+ ".pdf" => "application/pdf",
+ ".sig" => "application/pgp-signature",
+ ".spl" => "application/futuresplash",
+ ".class" => "application/octet-stream",
+ ".ps" => "application/postscript",
+ ".torrent" => "application/x-bittorrent",
+ ".dvi" => "application/x-dvi",
+ ".gz" => "application/x-gzip",
+ ".pac" => "application/x-ns-proxy-autoconfig",
+ ".swf" => "application/x-shockwave-flash",
+ ".tar.gz" => "application/x-tgz",
+ ".tgz" => "application/x-tgz",
+ ".tar" => "application/x-tar",
+ ".zip" => "application/zip",
+ ".mp3" => "audio/mpeg",
+ ".m3u" => "audio/x-mpegurl",
+ ".wma" => "audio/x-ms-wma",
+ ".wax" => "audio/x-ms-wax",
+ ".ogg" => "application/ogg",
+ ".wav" => "audio/x-wav",
+ ".gif" => "image/gif",
+ ".jpg" => "image/jpeg",
+ ".jpeg" => "image/jpeg",
+ ".png" => "image/png",
+ ".xbm" => "image/x-xbitmap",
+ ".xpm" => "image/x-xpixmap",
+ ".xwd" => "image/x-xwindowdump",
+ ".css" => "text/css",
+ ".html" => "text/html",
+ ".htm" => "text/html",
+ ".js" => "text/javascript",
+ ".asc" => "text/plain",
+ ".c" => "text/plain",
+ ".cpp" => "text/plain",
+ ".log" => "text/plain",
+ ".conf" => "text/plain",
+ ".text" => "text/plain",
+ ".txt" => "text/plain",
+ ".dtd" => "text/xml",
+ ".xml" => "text/xml",
+ ".mpeg" => "video/mpeg",
+ ".mpg" => "video/mpeg",
+ ".mov" => "video/quicktime",
+ ".qt" => "video/quicktime",
+ ".avi" => "video/x-msvideo",
+ ".asf" => "video/x-ms-asf",
+ ".asx" => "video/x-ms-asf",
+ ".wmv" => "video/x-ms-wmv",
+ ".bz2" => "application/x-bzip",
+ ".tbz" => "application/x-bzip-compressed-tar",
+ ".tar.bz2" => "application/x-bzip-compressed-tar",
+ ".nuv" => "video/nuppelvideo"
+ )
+
+
+# Use the "Content-Type" extended attribute to obtain mime type if possible
+mimetype.use-xattr = "enable"
+
+
+## send a different Server: header
+## be nice and keep it at lighttpd
+#server.tag = "lighttpd"
+
+#### accesslog module
+accesslog.filename = "/var/log/lighttpd/access.log"
+
+## deny access the file-extensions
+#
+# ~ is for backupfiles from vi, emacs, joe, ...
+# .inc is often used for code includes which should in general not be part
+# of the document-root
+url.access-deny = ( "~", ".inc" )
+
+$HTTP["url"] =~ "\.pdf$" {
+ server.range-requests = "disable"
+}
+
+######### Options that are good to be but not neccesary to be changed #######
+
+## bind to port (default: 80)
+#server.port = 80
+
+## bind to localhost (default: all interfaces)
+#server.bind = "grisu.home.kneschke.de"
+
+## error-handler for status 404
+#server.error-handler-404 = "/error-handler.html"
+#server.error-handler-404 = "/error-handler.php"
+
+## to help the rc.scripts
+server.pid-file = "/var/run/lighttpd.pid"
+
+
+###### virtual hosts
+##
+## If you want name-based virtual hosting add the next three settings and load
+## mod_simple_vhost
+##
+## document-root =
+## virtual-server-root + virtual-server-default-host + virtual-server-docroot
+## or
+## virtual-server-root + http-host + virtual-server-docroot
+##
+#simple-vhost.server-root = "/home/lighttpd/vhosts/"
+#simple-vhost.default-host = "lighttpd.localhost"
+#simple-vhost.document-root = "/pages/"
+##
+## Format: <errorfile-prefix><status-code>.html
+## -> ..../status-404.html for 'File not found'
+#server.errorfile-prefix = "/home/weigon/projects/lighttpd/doc/status-"
+
+## virtual directory listings
+#server.dir-listing = "enable"
+
+## enable debugging
+#debug.log-request-header = "enable"
+#debug.log-response-header = "enable"
+#debug.log-request-handling = "enable"
+#debug.log-file-not-found = "enable"
+
+### only root can use these options
+#
+# chroot() to directory (default: no chroot() )
+#server.chroot = "/"
+
+## change uid to <uid> (default: don't care)
+server.username = "nobody"
+
+## change uid to <uid> (default: don't care)
+server.groupname = "nobody"
+
+#### compress module
+#compress.cache-dir = "/home/lighttpd/cache/"
+#compress.filetype = ("text/plain", "text/html")
+
+#### proxy module
+## read proxy.txt for more info
+#proxy.server = ( ".php" =>
+# ( "localhost" =>
+# (
+# "host" => "192.168.0.101",
+# "port" => 80
+# )
+# )
+# )
+
+
+
+
+## fastcgi module
+## read fastcgi.txt for more info
+## adjust the value of bin-path for your system.
+## If you intend to process alot of requests at the same time, increase
+## the value of min-procs and max-procs
+
+fastcgi.server = ( ".php" =>
+ ( "localhost" =>
+ (
+ "socket" => "/tmp/php-fastcgi.socket",
+ "bin-path" => "/usr/bin/php-cgi",
+ "min-procs" => 0,
+ "max-procs" => 1,
+ "max-load-per-proc" => 1,
+ "idle-timeout" => 10,
+ # Fix PATH_INFO for PHP scripts that rely on it (like Wordpress and mythweb).
+ "broken-scriptfilename" => "enable"
+ )
+ )
+)
+
+
+#the rewrite rule for mythweb.
+#This assumes that mythweb is installed at document.root/mythweb
+
+ url.rewrite = (
+ "^/mythweb(/tv.*|/music.*|/video.*|/weather.*|/settings.*|/status.*|/backend_log.*)$" => "mythweb/mythweb.php/$1"
+ )
+
+
+#### CGI module
+cgi.assign = ( ".pl" => "/usr/bin/perl")
+
+
+
+#### SSL engine
+#$SERVER["socket"] == "0.0.0.0:443" {
+# ssl.engine = "enable"
+# ssl.pemfile = "/home/lighttpd/ssl/server.pem"
+# server.errorlog = "/var/log/lighttpd/error-ssl.log"
+# accesslog.filename = "/var/log/lighttpd/access-ssl.log"
+# server.document-root = "/home/lighttpd/html-ssl"
+#}
+
+
+
+#### status module
+status.status-url = "/server-status"
+status.config-url = "/server-config"
+
+#### auth module
+## read authentication.txt for more info
+#auth.backend = "plain"
+#auth.backend.plain.userfile = "lighttpd.user"
+#auth.backend.plain.groupfile = "lighttpd.group"
+
+#auth.backend.ldap.hostname = "localhost"
+#auth.backend.ldap.base-dn = "dc=my-domain,dc=com"
+#auth.backend.ldap.filter = "(uid=$)"
+#auth.require = ( "/server-status" =>
+# (
+# "method" => "digest",
+# "realm" => "download archiv",
+# "require" => "user=jan"
+# ),
+# "/server-info" =>
+# (
+# "method" => "digest",
+# "realm" => "download archiv",
+# "require" => "valid-user"
+# )
+# )
+
+#### url handling modules (rewrite, redirect, access)
+#url.rewrite = ( "^/$" => "/server-status" )
+#url.redirect = ( "^/wishlist/(.+)" => "http://www.123.org/$1" )
+
+#
+# define a pattern for the host url finding
+# %% => % sign
+# %0 => domain name + tld
+# %1 => tld
+# %2 => domain name without tld
+# %3 => subdomain 1 name
+# %4 => subdomain 2 name
+#
+#evhost.path-pattern = "/home/storage/dev/www/%3/htdocs/"
+
+#### expire module
+#expire.url = ( "/buggy/" => "access 2 hours", "/asdhas/" => "access plus 1 seconds 2 minutes")
+
+#### ssi
+#ssi.extension = ( ".shtml" )
+
+#### rrdtool
+#rrdtool.binary = "/usr/bin/rrdtool"
+#rrdtool.db-name = "/var/www/lighttpd.rrd"
+
+#### setenv
+#setenv.add-request-header = ( "TRAV_ENV" => "mysql://user@host/db" )
+#setenv.add-response-header = ( "X-Secret-Message" => "42" )
+## for mod_trigger_b4_dl
+# trigger-before-download.gdbm-filename = "/home/weigon/testbase/trigger.db"
+# trigger-before-download.memcache-hosts = ( "127.0.0.1:11211" )
+# trigger-before-download.trigger-url = "^/trigger/"
+# trigger-before-download.download-url = "^/download/"
+# trigger-before-download.deny-url = "http://127.0.0.1/index.html"
+# trigger-before-download.trigger-timeout = 10
+
+## for mod_cml
+## don't forget to add index.cml to server.indexfiles
+# cml.extension = ".cml"
+# cml.memcache-hosts = ( "127.0.0.1:11211" )
+
+#### variable usage:
+## variable name without "." is auto prefixed by "var." and becomes "var.bar"
+#bar = 1
+#var.mystring = "foo"
+
+## integer add
+#bar += 1
+## string concat, with integer cast as string, result: "www.foo1.com"
+#server.name = "www." + mystring + var.bar + ".com"
+## array merge
+#index-file.names = (foo + ".php") + index-file.names
+#index-file.names += (foo + ".php")
+
+#### include
+#include /etc/lighttpd/lighttpd-inc.conf
+## same as above if you run: "lighttpd -f /etc/lighttpd/lighttpd.conf"
+#include "lighttpd-inc.conf"
+
+#### include_shell
+#include_shell "echo var.a=1"
+## the above is same as:
+#var.a=1
diff --git a/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/mythweblighttpd.patch b/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/mythweblighttpd.patch
new file mode 100755
index 0000000..bebc93e
--- /dev/null
+++ b/abs/core-testing/mythtv/trunk/plugins/mythweb/xris/mythweblighttpd.patch
@@ -0,0 +1,16 @@
+--- init.php.orig 2006-11-23 21:37:13.000000000 +0000
++++ init.php 2006-11-23 21:40:04.000000000 +0000
+@@ -75,7 +75,12 @@
+ custom_error("Please install the MySQL libraries for PHP.\n"
+ .'The package is usually called something like php-mysql.');
+ }
+-
++
++
++// No database connection info defined?
++ if (empty($_SERVER['db_server']) || empty($_SERVER['db_name']) || empty($_SERVER['db_login'])) {
++ require_once 'dblogininit.inc';
++ }
+ // No database connection info defined?
+ if (empty($_SERVER['db_server']) || empty($_SERVER['db_name']) || empty($_SERVER['db_login'])) {
+ tailored_error('db_vars_error');